@import "@/assets/variables.scss";

.home-content {
  .first-section {
    background-image: url("./img/home_bg.png");
    background-repeat: no-repeat;
    background-size: 100%;
    padding: 200px 0 127px 0;
    // min-height: 900px;
    margin-top: -150px;
    .content-box {
      display: flex;
      width: 100%;
      .left-side {
        width: 100%;
        .form-box {
          max-width: 520px;
          min-height: 470px;
          background-color: $light;
          border-radius: 20px;
          padding: 46px 42px 36px 42px;
          form {
            display: flex;
            flex-direction: column;
            align-items: center;
            .form-title {
              white-space: nowrap;
              span {
                font-size: 32px;
                font-weight: 700;
              }
            }

            .forgot-password {
              width: 100%;
            }

            .form-description {
              margin-top: 25px;
              span {
                font-size: 14px;
                color: $dark;
              }
            }

            .submit {
              margin-top: 10px !important;
            }

            .login-text {
              cursor: pointer;
              margin-top: 20px;
            }

            .form-buttons {
              display: flex;
              margin-top: 25px;
              .login {
                button {
                  width: 225px;
                  display: flex;
                  align-items: center;
                  font-family: "Comfortaa", sans-serif;
                  cursor: pointer;
                  padding: 9px 35px;
                  border-radius: 44px;
                  border: 1px solid $lineBackgroundColor;
                  background-color: $light;
                  font-size: 14px;
                  font-weight: 400;
                  transition: 0.3s ease-out;
                  &:hover {
                    background-color: $lineBackgroundColor;
                    color: $light;
                  }
                }

                &:nth-child(1) {
                  margin-right: 10px;
                }
              }

              .btn-google {
                button {
                  &::before {
                    position: relative;
                    content: url("./img/ico_google.svg");
                    margin-right: 15px;
                  }
                }
              }

              .btn-facebook {
                button {
                  margin-bottom: 10px;
                  &::before {
                    position: relative;
                    content: url("./img/ico_facebook.svg");
                    margin-right: 15px;
                  }
                }

                .text {
                  font-size: 10px;
                  color: $dark;
                }
              }
            }

            .form-inputs {
              width: 100%;
              margin-top: 30px;
              .email-box {
                margin-top: 47px;
              }
              .login {
                display: flex;
                flex-direction: column;
                .item {
                  margin-bottom: 10px;
                }
              }
              .level {
                display: flex;
                margin-bottom: 10px;
                .name,
                .countries {
                  margin-right: 10px;
                }
                .item {
                  width: 100%;
                  .low-item {
                    font-family: "Comfortaa", sans-serif;
                    width: 100%;
                    height: 50px;
                    border-radius: 6px;
                    background-color: $formBackgroundColor;
                    padding-left: 12px;
                    border: none;
                    box-sizing: border-box;
                    &::placeholder {
                      color: $dark;
                    }
                  }

                  .country {
                    height: 50px;
                    font-family: "Comfortaa", sans-serif;
                  }

                  .input-name {
                    width: 100%;
                  }

                  .bottom-item {
                    font-family: "Comfortaa", sans-serif;
                    width: 100%;
                    height: 50px;
                    padding-left: 12px;
                    background-color: $formBackgroundColor;
                    border: none;
                    border-radius: 6px;
                  }
                }
              }
            }

            .form-privacy-policy {
              display: flex;
              width: 100%;
              margin-top: 25px;
              .rules {
                margin-left: 15px;
                span {
                  font-size: 14px;
                  color: $spanColor;
                }
              }
            }

            .form-remember {
              display: flex;
              width: 100%;
              margin-top: 27px;
              .remember-text {
                margin-left: 15px;
                span {
                  font-size: 14px;
                  color: $spanColor;
                }
              }
            }

            .form-button {
              width: 100%;
              margin-top: 47px;
              button {
                display: flex;
                justify-content: center;
                width: 100%;
                font-family: "Comfortaa", sans-serif;
                padding: 16px 0;
                background-color: $blue;
                border-radius: 60px;
                border: none;
                font-size: 14px;
                font-weight: bold;
                letter-spacing: 0.05em;
                text-transform: uppercase;
                color: $light;
                line-height: 16px;
              }
            }

            .reset {
              margin-top: 20px;
              span {
                cursor: pointer;
                font-size: 14px;
                color: $dark;
              }
            }
          }

          .sign-in-block {
            display: flex;
            justify-content: center;
            margin-top: 20px;

            .question {
              margin-right: 10px;
            }

            .sign-in {
              cursor: pointer;
              color: $blue;
            }

            span {
              font-size: 14px;
              font-weight: 400;
            }
          }
        }
      }
      .right-side {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        margin-left: 81px;
        .title {
          width: 543px;
          span {
            font-size: 44px;
            line-height: 58px;
            font-weight: bold;
          }
        }
      }
    }

    @media screen and (max-width: 575px) {
      .content-box {
        flex-direction: column;
        .left-side {
          .form-box {
            padding: 0 20px !important;
            background-color: transparent;
            max-width: 100%;
            width: auto;
            padding: 0;
            form {
              .form-title {
                white-space: normal;
                span {
                  line-height: 40px;
                  font-size: 28px;
                }
              }

              .form-buttons {
                order: 1;
                width: 100%;
                flex-direction: column;

                .login {
                  width: 100%;
                  margin-bottom: 10px;
                  button {
                    width: 100%;
                    display: flex;
                    justify-content: center;
                  }
                }
              }

              .form-inputs {
                display: flex;
                flex-direction: column;
                .level {
                  margin-bottom: 0;
                  margin-right: 0;
                  flex-direction: column;
                  .countries {
                    margin-right: 0;
                  }

                  .name {
                    margin-right: 0;
                  }
                  .item {
                    .low-item {
                      width: 100%;
                      box-sizing: border-box;
                      margin-bottom: 10px;
                    }
                  }

                  .bottom-item {
                    width: 100% !important;
                    box-sizing: border-box;
                    padding-left: 0;
                  }
                }
              }

              .form-button {
                order: 2;
                margin-top: 40px;
              }
            }
          }
        }
        .right-side {
          .title {
            display: none;
          }
        }
      }
    }
  }
}
